IF OBJECT_ID('dbo.sp_fco_baja_autorizaciones_det') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_baja_autorizaciones_det
GO
CREATE PROCEDURE dbo.sp_fco_baja_autorizaciones_det
(
    @pch_compania char(4),
    @pdc_autorizacion decimal(10),
    @pch_trabajador char(10)
)
AS
BEGIN
    IF @pch_trabajador IS Null OR @pch_trabajador = '0'
        DELETE fco_autorizaciones_det
        WHERE compania = @pch_compania
          AND autorizacion = @pdc_autorizacion
    ELSE
        DELETE fco_autorizaciones_det
        WHERE compania = @pch_compania
          AND autorizacion = @pdc_autorizacion
          AND trabajador = @pch_trabajador
END
GO
GRANT EXECUTE ON sp_fco_baja_autorizaciones_det TO PUBLIC


